get_resource_type
import_request_variables
Variable handling Functions
PHP Manual

# gettype

(PHP 4, PHP 5)

gettype — Get the type of a variable

### Description

string gettype ( mixed `$var` )

Returns the type of the PHP variable `var` .

Warning

Never use gettype() to test for a certain type, since the returned string may be subject to change in a future version. In addition, it is slow too, as it involves string comparison.

Instead, use the is_* functions.

### Parameters

`var`

  The variable being type checked.

### Return Values

Possibles values for the returned string are:

- "boolean"
- "integer"
- "double" (for historical reasons "double" is returned in case of a float, and not simply "float")
- "string"
- "array"
- "object"
- "resource"
- "NULL"
- "unknown type"

### See Also

- settype()
- is_array()
- is_bool()
- is_float()
- is_int()
- is_null()
- is_numeric()
- is_object()
- is_resource()
- is_scalar()
- is_string()
- function_exists()
- method_exists()

get_resource_type
import_request_variables
Variable handling Functions
PHP Manual